Package co.nstant.in.cbor.builder

## Class AbstractBuilder<T>

- java.lang.Object
- - co.nstant.in.cbor.builder.AbstractBuilder<T>

- Direct Known Subclasses:
    `ArrayBuilder`, `ByteStringBuilder`, `CborBuilder`, `MapBuilder`, `MapEntryBuilder`, `UnicodeStringBuilder`

      public abstract class AbstractBuilder<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBuilder​(T parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addChunk​(DataItem dataItem)` |
    `protected DataItem` | `convert​(boolean value)` |
    `protected DataItem` | `convert​(byte[] bytes)` |
    `protected DataItem` | `convert​(double value)` |
    `protected DataItem` | `convert​(float value)` |
    `protected DataItem` | `convert​(long value)` |
    `protected DataItem` | `convert​(String string)` |
    `protected DataItem` | `convert​(BigInteger value)` |
    `protected HalfPrecisionFloatDecoder` | `getHalfPrecisionFloatDecoder​(InputStream inputStream)` |
    `protected HalfPrecisionFloatEncoder` | `getHalfPrecisionFloatEncoder​(OutputStream outputStream)` |
    `protected T` | `getParent()` |
    `protected Tag` | `tag​(long value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBuilder

          public AbstractBuilder​(T parent)

  - ### Method Detail

    - #### getParent

          protected T getParent()

    - #### addChunk

          protected void addChunk​(DataItem dataItem)

    - #### convert

          protected DataItem convert​(long value)

    - #### convert

          protected DataItem convert​(BigInteger value)

    - #### convert

          protected DataItem convert​(boolean value)

    - #### convert

          protected DataItem convert​(byte[] bytes)

    - #### convert

          protected DataItem convert​(String string)

    - #### convert

          protected DataItem convert​(float value)

    - #### convert

          protected DataItem convert​(double value)

    - #### tag

          protected Tag tag​(long value)

    - #### getHalfPrecisionFloatEncoder

          protected HalfPrecisionFloatEncoder getHalfPrecisionFloatEncoder​(OutputStream outputStream)

    - #### getHalfPrecisionFloatDecoder

          protected HalfPrecisionFloatDecoder getHalfPrecisionFloatDecoder​(InputStream inputStream)